︠9162ee16-e272-4894-b3b0-e11a7d6346b0︠
# http://stackoverflow.com/questions/30579552/error-unexpected-eof-while-parsing
︡6021e8fe-0c4b-47f6-aa15-01417b818493︡
︠34fdddd1-e74a-4d37-86e5-5741aa88a13e︠
# Lack of indented block after "def xxx(yyy):" line
# causes the following error here in SageMathCloud

def elgamal_encrypt ( pub_key ,g ,p , message ):
k = floor ( 1+( p -2)* random ())
return ( Mod (g , p )^ k , message * Mod ( pub_key ^k , p ) )
︡4eb41707-72e4-479e-90c7-1805b9fafa81︡{"stderr":"Error in lines 1-1\nTraceback (most recent call last):\n  File \"/projects/fc94de41-6af4-4ee1-a684-c33a9e56b2b0/.sagemathcloud/sage_server.py\", line 879, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"<string>\", line 1\n    def elgamal_encrypt ( pub_key ,g ,p , message ):\n                                                   ^\nSyntaxError: unexpected EOF while parsing\n"}︡
︠ba4b86be-32fa-4e80-a0c5-1c2abfdd0a73︠

# Proper indentation makes the same code work

def elgamal_encrypt ( pub_key ,g ,p , message ):
    k = floor ( 1+( p -2)* random ())
    return ( Mod (g , p )^ k , message * Mod ( pub_key ^k , p ) )
︡bd77489f-a772-43e7-b1af-22420b86d1da︡
︠3b533ff4-49ca-4b64-aee7-7aabb8f388a2︠

# PEP8-compliant spacing makes code more readable

# See "PEP 0008 -- Style Guide for Python Code"
# at https://www.python.org/dev/peps/pep-0008/


def elgamal_encrypt(pub_key, g, p, message):
    k = floor (1 + (p - 2) * random ())
    return (Mod(g, p)^k, message * Mod(pub_key^k, p))
︡55042bb5-c104-40d7-ade2-b64d71dd3a72︡
︠23f506c8-d8b2-4e08-a4bd-2e44e619e2fb︠









